package org.seasar.jsf.template.impl;

import javax.faces.component.UIComponent;

import org.seasar.jsf.component.UIElementNode;
import org.w3c.dom.Node;

/**
 * @author higa
 *  
 */
public class UIElementNodeFactory extends AbstractComponentFactory {

	/**
	 * @param node
	 */
	public UIElementNodeFactory(Node node) {
		super(node);
	}

	/**
	 * @see org.seasar.jsf.template.ComponentFactory#createComponent()
	 */
	public UIComponent createComponent() {
		UIElementNode component = new UIElementNode();
		component.setTagName(getNode().getNodeName());
		setProperties(component);
		return component;
	}
}